%define name		xml-security
%define version		1.2.1
%define release		1jpp_1rh
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Implementation of W3C security standards for XML
License:	Apache Software License 2.0
Url:		http://xml.apache.org/security
Group:		Text Processing/Markup/XML
#Vendor:		JPackage Project
#Distribution:	JPackage
Source0:	xml-security-%{version}-src.tar.gz
# cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic login
# cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic export -r J_1_3_RC2 xml-security
Patch0:		xml-security-build_xml.patch
Patch1:		xml-security-1.2.1-nosun.patch
BuildRequires:	ant
BuildRequires:	gnu-crypto >= 0:2.0.1
BuildRequires:	java-devel >= 0:1.4
# BC contains the IDEA algorithm; users have to download it themselves
#BuildRequires:	bouncycastle
BuildRequires:	jakarta-commons-logging
BuildRequires:	log4j
BuildRequires:	xalan-j2 >= 0:2.6.0
BuildRequires:	xml-commons-apis >= 0:1.3
BuildRequires:	xerces-j2 >= 0:2.7.1
# BC contains the IDEA algorithm; users have to download it themselves
#Requires:	bouncycastle
Requires:	gnu-crypto >= 0:2.0.1
Requires:	jakarta-commons-logging
Requires:	log4j
Requires:	xalan-j2 >= 0:2.6.0
Requires:	xml-commons-apis >= 0:1.3
Requires:	xerces-j2 >= 0:2.7.1
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The XML Security project is aimed at providing implementation 
of security standards for XML. Currently the focus is on the 
W3C standards :
- XML-Signature Syntax and Processing; and
- XML Encryption Syntax and Processing.
Once these are implemented, XML Key Management is likely to 
be the next focus for the project.
Two libraries are currently available.
A Java library, which includes a mature Digital Signature 
implementation. Encryption is currently under development.
A C++ library is also now available. Functionality is 
currently more basic than that provided by the Java library.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Samples for %{name}
Group:		Development/Documentation

%description demo
Samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}
# remove all binary libs
for f in $(find . -name "*.jar"); do
  rm $f
done

%patch0 -b .sav
%patch1 -b .sav

%build
mkdir -p libs/endorsed
build-jar-repository -p -s libs \
commons-logging \
commons-logging-api \
log4j \
xalan-j2 \
xml-commons-apis \
xerces-j2 \
junit \

#ant -Djava.endorsed.dirs=libs build.src build.jar build.docs test
ant -Djava.endorsed.dirs=libs \
    -Dlib.jce=`build-classpath . gcj-endorsed/gnu-crypto-jce-jdk1.4` \
build.src build.jar build.docs test

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 build/xmlsec-%{version}.jar \
		$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir} 
for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done
)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/html/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr src_samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

%changelog
* Thu Oct 20 2005 Fernando nasser <fnasser@redhat.com> 0:1.2.1-1jpp_1rh
- First Red Hat build
- Remove bouncycastle
- Lower Xalan-j2 requires to 2.6.0

* Mon Apr 04 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2.1-1jpp
- First JPackage release
